VPC

Overview

SCP에서 제공하는 IaaS/PaaS 상품을 프로그램적으로 이용할 수 있도록 지원하는 응용 프로그램 인터페이스(Application Programming Interface, API)를 제공합니다.

본 가이드는 VPC 서비스에 대한 간략한 설명 및 API를 호출하는 방법을 제공합니다. API는 RESTful API 방식으로 제공되며, JSON 형식으로 응답합니다.

Version

VersionStatusSupported Until
1.0DEPRECATED20251231
1.1CURRENT-

OpenAPI URL

https://vpc.{region}.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

1 - APIs

1.1 - Approval VPC Peering

1.1.1 - 1.1

put /v1/vpc-peerings/{vpc_peering_id}/approval

Description

VPC Peering 승인

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathvpc_peering_id
required
VPC Peering ID
Example :
stringNone
bodybody
required

VpcPeeringApprovalRequest

Responses

HTTP CodeDescriptionSchema
200OKVpcPeeringShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/vpc-peerings/{vpc_peering_id}/approval

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "type": "CREATE_APPROVE"
}

Example HTTP response

Response 200

{
    "vpc_peering": {
        "account_type": "SAME",
        "approver_vpc_account_id": "",
        "approver_vpc_id": "",
        "approver_vpc_name": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "delete_requester_account_id": "",
        "description": "",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "requester_vpc_account_id": "",
        "requester_vpc_id": "",
        "requester_vpc_name": "",
        "state": "CREATING"
    }
}

1.2 - Approve PrivateLink Endpoint

1.2.1 - 1.1

put /v1/privatelink-endpoints/{privatelink_endpoint_id}/approval

Description

Approve PrivateLink Endpoint

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathprivatelink_endpoint_id
required
PrivateLink Endpoint ID
Example :
stringNone
bodybody
required

PrivateLinkEndpointApprovalRequest

Responses

HTTP CodeDescriptionSchema
200OKPrivateLinkEndpointSummaryShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/privatelink-endpoints/{privatelink_endpoint_id}/approval

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "type": "APPROVE"
}

Example HTTP response

Response 200

{
    "privatelink_endpoint": {
        "created_at": "2026-02-11T06:45:10.579Z",
        "id": "",
        "state": "REQUESTING"
    }
}

1.3 - Connect PrivateLink Endpoint

1.3.1 - 1.1

put /v1/privatelink-endpoints/{privatelink_endpoint_id}/connection

Description

Connect PrivateLink Endpoint

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathprivatelink_endpoint_id
required
PrivateLink Endpoint ID
Example :
stringNone
bodybody
required

PrivateLinkEndpointConnectionRequest

Responses

HTTP CodeDescriptionSchema
200OKPrivateLinkEndpointSummaryShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/privatelink-endpoints/{privatelink_endpoint_id}/connection

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "type": "DISCONNECT"
}

Example HTTP response

Response 200

{
    "privatelink_endpoint": {
        "created_at": "2026-02-11T06:45:10.579Z",
        "id": "",
        "state": "REQUESTING"
    }
}

1.4 - Create Internet Gateway

1.4.1 - 1.1

post /v1/internet-gateways

Description

Internet Gateway를 생성한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

InternetGatewayCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedInternetGatewayShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/internet-gateways

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "description": "",
    "firewall_enabled": false,
    "firewall_loggable": false,
    "tags": [],
    "type": "IGW",
    "vpc_id": ""
}

Example HTTP response

Response 202

{
    "internet_gateway": {
        "account_id": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "firewall_id": "",
        "id": "",
        "loggable": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": "CREATING",
        "type": "IGW",
        "vpc_id": "",
        "vpc_name": ""
    }
}

1.4.2 - 1.0

post /v1/internet-gateways

Description

Internet Gateway를 생성한다.

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

InternetGatewayCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedInternetGatewayShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/internet-gateways

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "description": "",
    "firewall_enabled": false,
    "firewall_loggable": false,
    "tags": [],
    "type": "IGW",
    "vpc_id": ""
}

Example HTTP response

Response 202

{
    "internet_gateway": {
        "account_id": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "firewall_id": "",
        "id": "",
        "loggable": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": "CREATING",
        "type": "IGW",
        "vpc_id": "",
        "vpc_name": ""
    }
}

1.5 - Create NAT Gateway

1.5.1 - 1.1

post /v1/nat-gateways

Description

NAT Gateway를 생성한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

NatGatewayCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedNatGatewayShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/nat-gateways

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "description": "",
    "publicip_id": "",
    "subnet_id": "",
    "tags": []
}

Example HTTP response

Response 202

{
    "nat_gateway": {
        "account_id": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "nat_gateway_ip_address": "",
        "publicip_id": "",
        "state": "",
        "subnet_cidr": "",
        "subnet_id": "",
        "subnet_name": "",
        "vpc_id": "",
        "vpc_name": ""
    }
}

1.5.2 - 1.0

post /v1/nat-gateways

Description

NAT Gateway를 생성한다.

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

NatGatewayCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedNatGatewayShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/nat-gateways

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "description": "",
    "publicip_id": "",
    "subnet_id": "",
    "tags": []
}

Example HTTP response

Response 202

{
    "nat_gateway": {
        "account_id": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "nat_gateway_ip_address": "",
        "publicip_id": "",
        "state": "",
        "subnet_cidr": "",
        "subnet_id": "",
        "subnet_name": "",
        "vpc_id": "",
        "vpc_name": ""
    }
}

1.6 - Create Port

1.6.1 - 1.1

post /v1/ports

Description

Port를 생성한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PortCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedPortShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/ports

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "description": "",
    "fixed_ip_address": "",
    "name": "",
    "security_groups": [],
    "subnet_id": "",
    "tags": []
}

Example HTTP response

Response 201

{
    "port": {
        "account_id": "",
        "attached_resource_id": "",
        "attached_resource_type": "",
        "created_at": "2026-02-11T06:45:08.922Z",
        "description": "",
        "fixed_ip_address": "",
        "id": "",
        "mac_address": "",
        "modified_at": "2026-02-11T06:45:08.922Z",
        "name": "",
        "security_groups": [
            {
                "id": "",
                "name": ""
            }
        ],
        "state": "",
        "subnet_id": "",
        "subnet_name": "",
        "vpc_id": "",
        "vpc_name": ""
    }
}

1.6.2 - 1.0

post /v1/ports

Description

Port를 생성한다.

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PortCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedPortShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/ports

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "description": "",
    "fixed_ip_address": "",
    "name": "",
    "security_groups": [],
    "subnet_id": "",
    "tags": []
}

Example HTTP response

Response 201

{
    "port": {
        "account_id": "",
        "attached_resource_id": "",
        "attached_resource_type": "",
        "created_at": "2026-02-11T06:45:08.922Z",
        "description": "",
        "fixed_ip_address": "",
        "id": "",
        "mac_address": "",
        "modified_at": "2026-02-11T06:45:08.922Z",
        "name": "",
        "security_groups": [
            {
                "id": "",
                "name": ""
            }
        ],
        "state": "",
        "subnet_id": "",
        "subnet_name": "",
        "vpc_id": "",
        "vpc_name": ""
    }
}

1.7 - Create Private NAT

1.7.1 - 1.1

post /v1/private-nats

Description

Private NAT 생성

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PrivateNatCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateNatShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-nats

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "cidr": "",
    "description": "",
    "direct_connect_id": "",
    "name": "",
    "tags": []
}

Example HTTP response

Response 202

{
    "private_nat": {
        "account_id": "",
        "cidr": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "direct_connect_id": "",
        "direct_connect_name": "",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": "CREATING",
        "vpc_id": "",
        "vpc_name": ""
    }
}

1.7.2 - 1.0

post /v1/private-nats

Description

Private NAT 생성

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PrivateNatCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateNatShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-nats

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "cidr": "",
    "description": "",
    "direct_connect_id": "",
    "name": "",
    "tags": []
}

Example HTTP response

Response 202

{
    "private_nat": {
        "account_id": "",
        "cidr": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "direct_connect_id": "",
        "direct_connect_name": "",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": "CREATING",
        "vpc_id": "",
        "vpc_name": ""
    }
}

1.8 - Create Private NAT IP

1.8.1 - 1.1

post /v1/private-nats/{private_nat_id}/private-nat-ips

Description

Private NAT IP 생성

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_nat_id
required
Private NAT ID
Example :
stringNone
bodybody
required

PrivateNatIpCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedPrivateNatIpShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-nats/{private_nat_id}/private-nat-ips

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "ip_address": ""
}

Example HTTP response

Response 201

{
    "private_nat_ip": {
        "attached_resource_id": "",
        "attached_resource_name": "",
        "attached_resource_type": "VM",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "id": "",
        "ip_address": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "private_nat_id": "",
        "state": "RESERVED"
    }
}

1.8.2 - 1.0

post /v1/private-nats/{private_nat_id}/private-nat-ips

Description

Private NAT IP 생성

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_nat_id
required
Private NAT ID
Example :
stringNone
bodybody
required

PrivateNatIpCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedPrivateNatIpShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-nats/{private_nat_id}/private-nat-ips

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "ip_address": ""
}

Example HTTP response

Response 201

{
    "private_nat_ip": {
        "attached_resource_id": "",
        "attached_resource_name": "",
        "attached_resource_type": "VM",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "id": "",
        "ip_address": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "private_nat_id": "",
        "state": "RESERVED"
    }
}

1.9 - Create PrivateLink Endpoint

1.9.1 - 1.1

post /v1/privatelink-endpoints

Description

PrivateLink Endpoint 생성

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PrivateLinkEndpointCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateLinkEndpointShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/privatelink-endpoints

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "description": "",
    "endpoint_ip_address": "",
    "name": "",
    "privatelink_service_id": "",
    "security_group_ids": [],
    "subnet_id": "",
    "tags": []
}

Example HTTP response

Response 202

{
    "privatelink_endpoint": {
        "account_id": "",
        "approval_type": "MANUAL",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "endpoint_ip_address": "",
        "endpoint_ip_port_id": "",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "privatelink_service_id": "",
        "security_group_ids": [],
        "state": "REQUESTING",
        "subnet_id": "",
        "vpc_id": ""
    }
}

1.10 - Create PrivateLink Service

1.10.1 - 1.1

post /v1/privatelink-services

Description

PrivateLink Service 생성

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PrivateLinkServiceCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateLinkServiceShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/privatelink-services

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "approval_type": "MANUAL",
    "connected_resource_id": "",
    "connected_resource_ip_address": "",
    "connected_resource_type": "LB",
    "description": "",
    "high_speed_transfer": false,
    "name": "",
    "security_group_ids": [],
    "service_ip_address": "",
    "subnet_id": "",
    "tags": []
}

Example HTTP response

Response 202

{
    "privatelink_service": {
        "account_id": "",
        "approval_type": "MANUAL",
        "connected_resource_id": "",
        "connected_resource_ip_address": "",
        "connected_resource_name": "",
        "connected_resource_type": "LB",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "high_speed_transfer": "",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "security_group_ids": [],
        "service_ip_address": "",
        "service_ip_port_id": "",
        "state": "CREATING",
        "subnet_id": "",
        "vpc_id": ""
    }
}

1.11 - Create PublicIP

1.11.1 - 1.1

post /v1/publicips

Description

PublicIP를 생성한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PublicipCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedPublicipShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/publicips

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "description": "",
    "tags": [],
    "type": "IGW"
}

Example HTTP response

Response 201

{
    "publicip": {
        "account_id": "",
        "attached_resource_id": "",
        "attached_resource_name": "",
        "attached_resource_type": "VM",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "id": "",
        "ip_address": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "state": "RESERVED",
        "type": "IGW"
    }
}

1.11.2 - 1.0

post /v1/publicips

Description

PublicIP를 생성한다.

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PublicipCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedPublicipShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/publicips

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "description": "",
    "tags": [],
    "type": "IGW"
}

Example HTTP response

Response 201

{
    "publicip": {
        "account_id": "",
        "attached_resource_id": "",
        "attached_resource_name": "",
        "attached_resource_type": "VM",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "id": "",
        "ip_address": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "state": "RESERVED",
        "type": "IGW"
    }
}

1.12 - Create Subnet

1.12.1 - 1.1

post /v1/subnets

Description

Subnet을 생성한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

SubnetCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedSubnetShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/subnets

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "allocation_pools": "[{\"start\":\"192.167.1.2\", \"end\":\"192.167.1.100\"}]",
    "cidr": "192.167.1.0/24",
    "description": "Subnet Description",
    "dns_nameservers": "[\"1.1.1.1\", \"2.2.2.2\"]",
    "host_routes": "[{\"destination\":\"192.168.10.0/24\", \"nexthop\":\"192.168.10.0\"}]",
    "name": "subnetName",
    "tags": [],
    "type": "GENERAL",
    "vpc_id": "7df8abb4912e4709b1cb237daccca7a8"
}

Example HTTP response

Response 202

{
    "subnet": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "allocation_pools": [],
        "cidr": "192.167.1.0/24",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "Subnet Description",
        "dns_nameservers": [],
        "gateway_ip_address": "192.167.1.1",
        "host_routes": [],
        "id": "023c57b14f11483689338d085e061492",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "subnetName",
        "state": "CREATING",
        "type": "GENERAL",
        "vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
        "vpc_name": "vpcName"
    }
}

1.12.2 - 1.0

post /v1/subnets

Description

Subnet을 생성한다.

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

SubnetCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedSubnetShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/subnets

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "allocation_pools": "[{\"start\":\"192.167.1.2\", \"end\":\"192.167.1.100\"}]",
    "cidr": "192.167.1.0/24",
    "description": "Subnet Description",
    "dns_nameservers": "[\"1.1.1.1\", \"2.2.2.2\"]",
    "host_routes": "[{\"destination\":\"192.168.10.0/24\", \"nexthop\":\"192.168.10.0\"}]",
    "name": "subnetName",
    "tags": [],
    "type": "GENERAL",
    "vpc_id": "7df8abb4912e4709b1cb237daccca7a8"
}

Example HTTP response

Response 202

{
    "subnet": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "allocation_pools": [],
        "cidr": "192.167.1.0/24",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "Subnet Description",
        "dns_nameservers": [],
        "gateway_ip_address": "192.167.1.1",
        "host_routes": [],
        "id": "023c57b14f11483689338d085e061492",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "subnetName",
        "state": "CREATING",
        "type": "GENERAL",
        "vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
        "vpc_name": "vpcName"
    }
}

1.13 - Create Transit Gateway

1.13.1 - 1.1

post /v1/transit-gateways

Description

Transit Gateway 생성

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

TransitGatewayCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedTransitGatewayShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/transit-gateways

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "description": "",
    "name": "",
    "tags": []
}

Example HTTP response

Response 202

{
    "transit_gateway": {
        "account_id": "",
        "bandwidth": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "firewall_ids": "",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": "CREATING",
        "uplink_enabled": false
    }
}

1.13.2 - 1.0

post /v1/transit-gateways

Description

Transit Gateway 생성

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

TransitGatewayCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedTransitGatewayShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/transit-gateways

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "description": "",
    "name": "",
    "tags": []
}

Example HTTP response

Response 202

{
    "transit_gateway": {
        "account_id": "",
        "bandwidth": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "firewall_ids": "",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": "CREATING",
        "uplink_enabled": false
    }
}

1.14 - Create Transit Gateway Rule

1.14.1 - 1.1

post /v1/transit-gateways/{transit_gateway_id}/routing-rules

Description

Transit Gateway 규칙 생성

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathtransit_gateway_id
required
Transit Gateway ID
Example :
stringNone
bodybody
required

TransitGatewayRuleCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedTransitGatewayRuleShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/transit-gateways/{transit_gateway_id}/routing-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "description": "",
    "destination_cidr": "",
    "destination_type": "VPC",
    "tgw_connection_vpc_id": ""
}

Example HTTP response

Response 202

{
    "transit_gateway_rule": {
        "account_id": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "destination_cidr": "",
        "destination_resource_id": "",
        "destination_resource_name": "",
        "destination_type": "VPC",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "source_resource_id": "",
        "source_resource_name": "",
        "source_type": "VPC",
        "state": "CREATING",
        "tgw_connection_vpc_id": "",
        "tgw_connection_vpc_name": ""
    }
}

1.14.2 - 1.0

post /v1/transit-gateways/{transit_gateway_id}/routing-rules

Description

Transit Gateway 규칙 생성

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathtransit_gateway_id
required
Transit Gateway ID
Example :
stringNone
bodybody
required

TransitGatewayRuleCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedTransitGatewayRuleShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/transit-gateways/{transit_gateway_id}/routing-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "description": "",
    "destination_cidr": "",
    "destination_type": "VPC",
    "tgw_connection_vpc_id": ""
}

Example HTTP response

Response 202

{
    "transit_gateway_rule": {
        "account_id": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "destination_cidr": "",
        "destination_resource_id": "",
        "destination_resource_name": "",
        "destination_type": "VPC",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "source_resource_id": "",
        "source_resource_name": "",
        "source_type": "VPC",
        "state": "CREATING",
        "tgw_connection_vpc_id": "",
        "tgw_connection_vpc_name": ""
    }
}

1.15 - Create Transit Gateway VPC Connection

1.15.1 - 1.1

post /v1/transit-gateways/{transit_gateway_id}/vpc-connections

Description

Transit Gateway VPC 연결 생성.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathtransit_gateway_id
required
Transit Gateway ID
Example :
stringNone
bodybody
required

TransitGatewayVpcConnectionCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedTransitGatewayVpcConnectionShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/transit-gateways/{transit_gateway_id}/vpc-connections

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "vpc_id": ""
}

Example HTTP response

Response 202

{
    "transit_gateway_vpc_connection": {
        "account_id": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "state": "CREATING",
        "transit_gateway_id": "",
        "vpc_id": "",
        "vpc_name": ""
    }
}

1.15.2 - 1.0

post /v1/transit-gateways/{transit_gateway_id}/vpc-connections

Description

Transit Gateway VPC 연결 생성.

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathtransit_gateway_id
required
Transit Gateway ID
Example :
stringNone
bodybody
required

TransitGatewayVpcConnectionCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedTransitGatewayVpcConnectionShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/transit-gateways/{transit_gateway_id}/vpc-connections

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "vpc_id": ""
}

Example HTTP response

Response 202

{
    "transit_gateway_vpc_connection": {
        "account_id": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "state": "CREATING",
        "transit_gateway_id": "",
        "vpc_id": "",
        "vpc_name": ""
    }
}

1.16 - Create VPC

1.16.1 - 1.1

post /v1/vpcs

Description

VPC를 생성한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

VpcCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedVpcShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/vpcs

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "cidr": "192.167.0.0/18",
    "description": "VPC Description",
    "name": "vpcName",
    "tags": []
}

Example HTTP response

Response 201

{
    "vpc": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "cidr": "192.167.0.0/18",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "vpcDescription",
        "id": "7df8abb4912e4709b1cb237daccca7a8",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "vpcName",
        "state": "CREATING"
    }
}

1.16.2 - 1.0

post /v1/vpcs

Description

VPC를 생성한다.

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

VpcCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedVpcShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/vpcs

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "cidr": "192.167.0.0/18",
    "description": "VPC Description",
    "name": "vpcName",
    "tags": []
}

Example HTTP response

Response 201

{
    "vpc": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "cidr": "192.167.0.0/18",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "vpcDescription",
        "id": "7df8abb4912e4709b1cb237daccca7a8",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "vpcName",
        "state": "CREATING"
    }
}

1.17 - Create VPC Endpoint

1.17.1 - 1.1

post /v1/vpc-endpoints

Description

VPC Endpoint 를 생성한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

VpcEndpointCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVpcEndpointShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/vpc-endpoints

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "description": "",
    "endpoint_ip_address": "",
    "name": "",
    "resource_info": "",
    "resource_key": "",
    "resource_type": "FS",
    "subnet_id": "",
    "tags": [],
    "vpc_id": ""
}

Example HTTP response

Response 202

{
    "vpc_endpoint": {
        "account_id": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "endpoint_ip_address": "",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "resource_info": "",
        "resource_key": "",
        "resource_type": "FS",
        "state": "CREATING",
        "subnet_id": "",
        "subnet_name": "",
        "vpc_id": "",
        "vpc_name": ""
    }
}

1.17.2 - 1.0

post /v1/vpc-endpoints

Description

VPC Endpoint 를 생성한다.

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

VpcEndpointCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVpcEndpointShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/vpc-endpoints

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "description": "",
    "endpoint_ip_address": "",
    "name": "",
    "resource_info": "",
    "resource_key": "",
    "resource_type": "FS",
    "subnet_id": "",
    "tags": [],
    "vpc_id": ""
}

Example HTTP response

Response 202

{
    "vpc_endpoint": {
        "account_id": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "endpoint_ip_address": "",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "resource_info": "",
        "resource_key": "",
        "resource_type": "FS",
        "state": "CREATING",
        "subnet_id": "",
        "subnet_name": "",
        "vpc_id": "",
        "vpc_name": ""
    }
}

1.18 - Create VPC Peering

1.18.1 - 1.1

post /v1/vpc-peerings

Description

VPC Peering 생성

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

VpcPeeringCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVpcPeeringShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/vpc-peerings

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "approver_vpc_account_id": "",
    "approver_vpc_id": "",
    "description": "",
    "name": "",
    "requester_vpc_id": "",
    "tags": []
}

Example HTTP response

Response 202

{
    "vpc_peering": {
        "account_type": "SAME",
        "approver_vpc_account_id": "",
        "approver_vpc_id": "",
        "approver_vpc_name": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "delete_requester_account_id": "",
        "description": "",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "requester_vpc_account_id": "",
        "requester_vpc_id": "",
        "requester_vpc_name": "",
        "state": "CREATING"
    }
}

1.18.2 - 1.0

post /v1/vpc-peerings

Description

VPC Peering 생성

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

VpcPeeringCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVpcPeeringShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/vpc-peerings

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "approver_vpc_account_id": "",
    "approver_vpc_id": "",
    "description": "",
    "name": "",
    "requester_vpc_id": "",
    "tags": []
}

Example HTTP response

Response 202

{
    "vpc_peering": {
        "account_type": "SAME",
        "approver_vpc_account_id": "",
        "approver_vpc_id": "",
        "approver_vpc_name": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "delete_requester_account_id": "",
        "description": "",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "requester_vpc_account_id": "",
        "requester_vpc_id": "",
        "requester_vpc_name": "",
        "state": "CREATING"
    }
}

1.19 - Create Vpc Peering Rule

1.19.1 - 1.1

post /v1/vpc-peerings/{vpc_peering_id}/routing-rules

Description

VPC Peering 규칙 생성

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathvpc_peering_id
required
VPC Peering ID
Example :
stringNone
bodybody
required

VpcPeeringRuleCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVpcPeeringRuleShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/vpc-peerings/{vpc_peering_id}/routing-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "destination_cidr": "",
    "destination_vpc_type": "REQUESTER_VPC",
    "tags": []
}

Example HTTP response

Response 202

{
    "vpc_peering_rule": {
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "destination_cidr": "",
        "destination_vpc_id": "",
        "destination_vpc_name": "",
        "destination_vpc_type": "REQUESTER_VPC",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "source_vpc_id": "",
        "source_vpc_name": "",
        "source_vpc_type": "REQUESTER_VPC",
        "state": "CREATING",
        "vpc_peering_id": ""
    }
}

1.19.2 - 1.0

post /v1/vpc-peerings/{vpc_peering_id}/routing-rules

Description

VPC Peering 규칙 생성

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathvpc_peering_id
required
VPC Peering ID
Example :
stringNone
bodybody
required

VpcPeeringRuleCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVpcPeeringRuleShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/vpc-peerings/{vpc_peering_id}/routing-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "destination_cidr": "",
    "destination_vpc_type": "REQUESTER_VPC",
    "tags": []
}

Example HTTP response

Response 202

{
    "vpc_peering_rule": {
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "destination_cidr": "",
        "destination_vpc_id": "",
        "destination_vpc_name": "",
        "destination_vpc_type": "REQUESTER_VPC",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "source_vpc_id": "",
        "source_vpc_name": "",
        "source_vpc_type": "REQUESTER_VPC",
        "state": "CREATING",
        "vpc_peering_id": ""
    }
}

1.20 - Delete Internet Gateway

1.20.1 - 1.1

delete /v1/internet-gateways/{internet_gateway_id}

Description

Internet Gateway를 삭제한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathinternet_gateway_id
required
Internet Gateway ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/internet-gateways/{internet_gateway_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 202

1.20.2 - 1.0

delete /v1/internet-gateways/{internet_gateway_id}

Description

Internet Gateway를 삭제한다.

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathinternet_gateway_id
required
Internet Gateway ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/internet-gateways/{internet_gateway_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 202

1.21 - Delete NAT Gateway

1.21.1 - 1.1

delete /v1/nat-gateways/{nat_gateway_id}

Description

NAT Gateway를 삭제한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathnat_gateway_id
required
NAT Gateway 명
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/nat-gateways/{nat_gateway_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 202

1.21.2 - 1.0

delete /v1/nat-gateways/{nat_gateway_id}

Description

NAT Gateway를 삭제한다.

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathnat_gateway_id
required
NAT Gateway 명
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/nat-gateways/{nat_gateway_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 202

1.22 - Delete Port

1.22.1 - 1.1

delete /v1/ports/{port_id}

Description

Port를 삭제한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathport_id
required
Port ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/ports/{port_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 204

1.22.2 - 1.0

delete /v1/ports/{port_id}

Description

Port를 삭제한다.

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathport_id
required
Port ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/ports/{port_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 204

1.23 - Delete Private NAT

1.23.1 - 1.1

delete /v1/private-nats/{private_nat_id}

Description

Private NAT 삭제

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_nat_id
required
Private NAT ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/private-nats/{private_nat_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 202

1.23.2 - 1.0

delete /v1/private-nats/{private_nat_id}

Description

Private NAT 삭제

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_nat_id
required
Private NAT ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/private-nats/{private_nat_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 202

1.24 - Delete Private NAT IP

1.24.1 - 1.1

delete /v1/private-nats/{private_nat_id}/private-nat-ips/{private_nat_ip_id}

Description

Private NAT IP 삭제

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_nat_id
required
Private NAT ID
Example :
stringNone
pathprivate_nat_ip_id
required
Private NAT IP ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/private-nats/{private_nat_id}/private-nat-ips/{private_nat_ip_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 204

1.24.2 - 1.0

delete /v1/private-nats/{private_nat_id}/private-nat-ips/{private_nat_ip_id}

Description

Private NAT IP 삭제

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_nat_id
required
Private NAT ID
Example :
stringNone
pathprivate_nat_ip_id
required
Private NAT IP ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/private-nats/{private_nat_id}/private-nat-ips/{private_nat_ip_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 204

1.25 - Delete PrivateLink Endpoint

1.25.1 - 1.1

delete /v1/privatelink-endpoints/{privatelink_endpoint_id}

Description

PrivateLink Endpoint 삭제

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathprivatelink_endpoint_id
required
PrivateLink Endpoint ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/privatelink-endpoints/{privatelink_endpoint_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 202

1.26 - Delete PrivateLink Service

1.26.1 - 1.1

delete /v1/privatelink-services/{privatelink_service_id}

Description

PrivateLink Service 삭제

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathprivatelink_service_id
required
PrivateLink Service ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/privatelink-services/{privatelink_service_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 202

1.27 - Delete PublicIP

1.27.1 - 1.1

delete /v1/publicips/{publicip_id}

Description

PublicIP를 삭제한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathpublicip_id
required
PublicIP ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/publicips/{publicip_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 204

1.27.2 - 1.0

delete /v1/publicips/{publicip_id}

Description

PublicIP를 삭제한다.

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathpublicip_id
required
PublicIP ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/publicips/{publicip_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 204

1.28 - Delete Subnet

1.28.1 - 1.1

delete /v1/subnets/{subnet_id}

Description

Subnet을 삭제한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathsubnet_id
required
Subnet ID
Example : 023c57b14f11483689338d085e061492
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/subnets/{subnet_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 202

1.28.2 - 1.0

delete /v1/subnets/{subnet_id}

Description

Subnet을 삭제한다.

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathsubnet_id
required
Subnet ID
Example : 023c57b14f11483689338d085e061492
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/subnets/{subnet_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 202

1.29 - Delete Transit Gateway

1.29.1 - 1.1

delete /v1/transit-gateways/{transit_gateway_id}

Description

Transit Gateway 삭제

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathtransit_gateway_id
required
Transit Gateway ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/transit-gateways/{transit_gateway_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 202

1.29.2 - 1.0

delete /v1/transit-gateways/{transit_gateway_id}

Description

Transit Gateway 삭제

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathtransit_gateway_id
required
Transit Gateway ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/transit-gateways/{transit_gateway_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 202

1.30 - Delete Transit Gateway Rule

1.30.1 - 1.1

delete /v1/transit-gateways/{transit_gateway_id}/routing-rules/{routing_rule_id}

Description

Transit Gateway 규칙 삭제

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathtransit_gateway_id
required
Transit Gateway ID
Example :
stringNone
pathrouting_rule_id
required
Routing Rule ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/transit-gateways/{transit_gateway_id}/routing-rules/{routing_rule_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 202

1.30.2 - 1.0

delete /v1/transit-gateways/{transit_gateway_id}/routing-rules/{routing_rule_id}

Description

Transit Gateway 규칙 삭제

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathtransit_gateway_id
required
Transit Gateway ID
Example :
stringNone
pathrouting_rule_id
required
Routing Rule ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/transit-gateways/{transit_gateway_id}/routing-rules/{routing_rule_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 202

1.31 - Delete Transit Gateway VPC Connection

1.31.1 - 1.1

delete /v1/transit-gateways/{transit_gateway_id}/vpc-connections/{vpc_connection_id}

Description

Transit Gateway VPC 연결 삭제.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathtransit_gateway_id
required
Transit Gateway ID
Example :
stringNone
pathvpc_connection_id
required
Transit Gateway VPC 연결 ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/transit-gateways/{transit_gateway_id}/vpc-connections/{vpc_connection_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 202

1.31.2 - 1.0

delete /v1/transit-gateways/{transit_gateway_id}/vpc-connections/{vpc_connection_id}

Description

Transit Gateway VPC 연결 삭제.

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathtransit_gateway_id
required
Transit Gateway ID
Example :
stringNone
pathvpc_connection_id
required
Transit Gateway VPC 연결 ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/transit-gateways/{transit_gateway_id}/vpc-connections/{vpc_connection_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 202

1.32 - Delete VPC

1.32.1 - 1.1

delete /v1/vpcs/{vpc_id}

Description

VPC를 삭제한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathvpc_id
required
VPC ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/vpcs/{vpc_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 204

1.32.2 - 1.0

delete /v1/vpcs/{vpc_id}

Description

VPC를 삭제한다.

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathvpc_id
required
VPC ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/vpcs/{vpc_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 204

1.33 - Delete VPC Endpoint

1.33.1 - 1.1

delete /v1/vpc-endpoints/{vpc_endpoint_id}

Description

VPC Endpoint 를 삭제한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathvpc_endpoint_id
required
VPC Endpoint ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/vpc-endpoints/{vpc_endpoint_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 202

1.33.2 - 1.0

delete /v1/vpc-endpoints/{vpc_endpoint_id}

Description

VPC Endpoint 를 삭제한다.

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathvpc_endpoint_id
required
VPC Endpoint ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/vpc-endpoints/{vpc_endpoint_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 202

1.34 - Delete VPC Peering

1.34.1 - 1.1

delete /v1/vpc-peerings/{vpc_peering_id}

Description

VPC Peering 삭제

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathvpc_peering_id
required
VPC Peering ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/vpc-peerings/{vpc_peering_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 202

1.34.2 - 1.0

delete /v1/vpc-peerings/{vpc_peering_id}

Description

VPC Peering 삭제

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathvpc_peering_id
required
VPC Peering ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/vpc-peerings/{vpc_peering_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 202

1.35 - Delete VPC Peering Rule

1.35.1 - 1.1

delete /v1/vpc-peerings/{vpc_peering_id}/routing-rules/{routing_rule_id}

Description

VPC Peering 규칙 삭제

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathvpc_peering_id
required
VPC Peering ID
Example :
stringNone
pathrouting_rule_id
required
Routing Rule ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/vpc-peerings/{vpc_peering_id}/routing-rules/{routing_rule_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 202

1.35.2 - 1.0

delete /v1/vpc-peerings/{vpc_peering_id}/routing-rules/{routing_rule_id}

Description

VPC Peering 규칙 삭제

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathvpc_peering_id
required
VPC Peering ID
Example :
stringNone
pathrouting_rule_id
required
Routing Rule ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/vpc-peerings/{vpc_peering_id}/routing-rules/{routing_rule_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 202

1.36 - List Connected PrivateLink Endpoints

1.36.1 - 1.1

get /v1/privatelink-services/{privatelink_service_id}/connected-endpoints

Description

연결된 PrivateLink Endpoint 목록 조회

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathprivatelink_service_id
required
PrivateLink Service ID
Example :
stringNone
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKConnectedEndpointListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/privatelink-services/{privatelink_service_id}/connected-endpoints

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 200

{
    "connected_privatelink_endpoints": [
        {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "id": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "privatelink_service_id": "",
            "state": "REQUESTING"
        }
    ],
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.37 - List Internet Gateways

1.37.1 - 1.1

get /v1/internet-gateways

Description

Internet Gateway 목록을 조회한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
한도
Example : 20
any of [integer, null]None
querymarker
optional
마커
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
Internet Gateway ID
Example :
any of [string, null]None
queryname
optional
Internet Gateway 명
Example :
any of [string, null]None
querytype
optional
Internet Gateway 유형
Example :
enum (IGW, GGW, SIGW)
querystate
optional
상태
Example :
string
queryvpc_id
optional
VPC ID
Example :
any of [string, null]
queryvpc_name
optional
VPC 명
Example :
any of [string, null]

Responses

HTTP CodeDescriptionSchema
200OKInternetGatewayListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/internet-gateways

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "internet_gateways": [
        {
            "account_id": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "",
            "firewall_id": "",
            "id": "",
            "loggable": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "state": "CREATING",
            "type": "IGW",
            "vpc_id": "",
            "vpc_name": ""
        }
    ],
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ]
}

1.37.2 - 1.0

get /v1/internet-gateways

Description

Internet Gateway 목록을 조회한다.

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
한도
Example : 20
any of [integer, null]None
querymarker
optional
마커
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
Internet Gateway ID
Example :
any of [string, null]None
queryname
optional
Internet Gateway 명
Example :
any of [string, null]None
querytype
optional
Internet Gateway 유형
Example :
enum (IGW, GGW, SIGW)
querystate
optional
상태
Example :
string
queryvpc_id
optional
VPC ID
Example :
any of [string, null]
queryvpc_name
optional
VPC 명
Example :
any of [string, null]

Responses

HTTP CodeDescriptionSchema
200OKInternetGatewayListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/internet-gateways

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "internet_gateways": [
        {
            "account_id": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "",
            "firewall_id": "",
            "id": "",
            "loggable": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "state": "CREATING",
            "type": "IGW",
            "vpc_id": "",
            "vpc_name": ""
        }
    ],
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ]
}

1.38 - List NAT Gateways

1.38.1 - 1.1

get /v1/nat-gateways

Description

NAT Gateway 목록을 조회한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
한도
Example : 20
any of [integer, null]None
querymarker
optional
마커
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
NAT Gateway 명
Example :
any of [string, null]None
queryvpc_id
optional
VPC ID
Example :
any of [string, null]None
queryvpc_name
optional
VPC 명
Example :
any of [string, null]None
querysubnet_id
optional
Subnet ID
Example :
any of [string, null]None
querysubnet_name
optional
Subnet 명
Example :
any of [string, null]None
querynat_gateway_ip_address
optional
NAT Gateway IP 주소
Example :
any of [string, null]None
querystate
optional
NAT Gateway 상태
Example :
any of [enum (CREATING, ACTIVE, DELETING, DELETED, ERROR), null]None

Responses

HTTP CodeDescriptionSchema
200OKNatGatewayListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/nat-gateways

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "nat_gateways": [
        {
            "account_id": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "",
            "id": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "nat_gateway_ip_address": "",
            "publicip_id": "",
            "state": "",
            "subnet_cidr": "",
            "subnet_id": "",
            "subnet_name": "",
            "vpc_id": "",
            "vpc_name": ""
        }
    ]
}

1.38.2 - 1.0

get /v1/nat-gateways

Description

NAT Gateway 목록을 조회한다.

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
한도
Example : 20
any of [integer, null]None
querymarker
optional
마커
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
NAT Gateway 명
Example :
any of [string, null]None
queryvpc_id
optional
VPC ID
Example :
any of [string, null]None
queryvpc_name
optional
VPC 명
Example :
any of [string, null]None
querysubnet_id
optional
Subnet ID
Example :
any of [string, null]None
querysubnet_name
optional
Subnet 명
Example :
any of [string, null]None
querynat_gateway_ip_address
optional
NAT Gateway IP 주소
Example :
any of [string, null]None
querystate
optional
NAT Gateway 상태
Example :
any of [enum (CREATING, ACTIVE, DELETING, DELETED, ERROR), null]None

Responses

HTTP CodeDescriptionSchema
200OKNatGatewayListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/nat-gateways

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "nat_gateways": [
        {
            "account_id": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "",
            "id": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "nat_gateway_ip_address": "",
            "publicip_id": "",
            "state": "",
            "subnet_cidr": "",
            "subnet_id": "",
            "subnet_name": "",
            "vpc_id": "",
            "vpc_name": ""
        }
    ]
}

1.39 - List Ports

1.39.1 - 1.1

get /v1/ports

Description

Port 목록을 조회한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
Port 제한
Example :
any of [integer, null]None
querymarker
optional
Port 마커
Example :
any of [string, null]None
querysort
optional
Port 정렬
Example :
any of [string, null]None
queryname
optional
Port 명
Example :
any of [string, null]None
querysubnet_id
optional
Subnet ID
Example :
any of [string, null]None
querysubnet_name
optional
Subnet 명
Example :
any of [string, null]None
queryid
optional
Port ID
Example :
any of [string, null]None
queryattached_resource_id
optional
연결된 자원 ID
Example :
any of [string, null]None
queryfixed_ip_address
optional
고정된 IP
Example :
any of [string, null]None
querymac_address
optional
MAC 주소
Example :
any of [string, null]None
querystate
optional
상태
Example :
any of [string, null]None
querysecurity_groups
optional
Security Group 목록
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKPortListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/ports

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "ports": [
        {
            "account_id": "",
            "attached_resource_id": "",
            "attached_resource_type": "",
            "created_at": "2026-02-11T06:45:08.861Z",
            "description": "",
            "fixed_ip_address": "",
            "id": "",
            "mac_address": "",
            "modified_at": "2026-02-11T06:45:08.862Z",
            "name": "",
            "state": "",
            "subnet_id": "",
            "subnet_name": "",
            "vpc_id": "",
            "vpc_name": ""
        }
    ]
}

1.39.2 - 1.0

get /v1/ports

Description

Port 목록을 조회한다.

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
Port 제한
Example :
any of [integer, null]None
querymarker
optional
Port 마커
Example :
any of [string, null]None
querysort
optional
Port 정렬
Example :
any of [string, null]None
queryname
optional
Port 명
Example :
any of [string, null]None
querysubnet_id
optional
Subnet ID
Example :
any of [string, null]None
querysubnet_name
optional
Subnet 명
Example :
any of [string, null]None
queryid
optional
Port ID
Example :
any of [string, null]None
queryattached_resource_id
optional
연결된 자원 ID
Example :
any of [string, null]None
queryfixed_ip_address
optional
고정된 IP
Example :
any of [string, null]None
querymac_address
optional
MAC 주소
Example :
any of [string, null]None
querystate
optional
상태
Example :
any of [string, null]None
querysecurity_groups
optional
Security Group 목록
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKPortListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/ports

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "ports": [
        {
            "account_id": "",
            "attached_resource_id": "",
            "attached_resource_type": "",
            "created_at": "2026-02-11T06:45:08.861Z",
            "description": "",
            "fixed_ip_address": "",
            "id": "",
            "mac_address": "",
            "modified_at": "2026-02-11T06:45:08.862Z",
            "name": "",
            "state": "",
            "subnet_id": "",
            "subnet_name": "",
            "vpc_id": "",
            "vpc_name": ""
        }
    ]
}

1.40 - List Private NAT

1.40.1 - 1.1

get /v1/private-nats

Description

Private NAT 목록 조회

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
Private NAT 명
Example :
any of [string, null]None
querycidr
optional
Private NAT IP 대역
Example :
any of [string, null]None
queryvpc_id
optional
VPC ID
Example :
any of [string, null]None
queryvpc_name
optional
VPC 명
Example :
any of [string, null]None
querydirect_connect_id
optional
Direct Connect ID
Example :
any of [string, null]None
querydirect_connect_name
optional
Direct Connect명
Example :
any of [string, null]None
querystate
optional
Private NAT 상태
Example :
any of [enum (CREATING, ACTIVE, DELETING, DELETED, ERROR), null]None

Responses

HTTP CodeDescriptionSchema
200OKPrivateNatListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-nats

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "private_nats": [
        {
            "account_id": "",
            "cidr": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "",
            "direct_connect_id": "",
            "direct_connect_name": "",
            "id": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "state": "CREATING",
            "vpc_id": "",
            "vpc_name": ""
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.40.2 - 1.0

get /v1/private-nats

Description

Private NAT 목록 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
Private NAT 명
Example :
any of [string, null]None
querycidr
optional
Private NAT IP 대역
Example :
any of [string, null]None
queryvpc_id
optional
VPC ID
Example :
any of [string, null]None
queryvpc_name
optional
VPC 명
Example :
any of [string, null]None
querydirect_connect_id
optional
Direct Connect ID
Example :
any of [string, null]None
querydirect_connect_name
optional
Direct Connect명
Example :
any of [string, null]None
querystate
optional
Private NAT 상태
Example :
any of [enum (CREATING, ACTIVE, DELETING, DELETED, ERROR), null]None

Responses

HTTP CodeDescriptionSchema
200OKPrivateNatListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-nats

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "private_nats": [
        {
            "account_id": "",
            "cidr": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "",
            "direct_connect_id": "",
            "direct_connect_name": "",
            "id": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "state": "CREATING",
            "vpc_id": "",
            "vpc_name": ""
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.41 - List Private NAT IP

1.41.1 - 1.1

get /v1/private-nats/{private_nat_id}/private-nat-ips

Description

Private NAT IP 목록

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_nat_id
required
Private NAT ID
Example :
stringNone
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryip_address
optional
Private NAT IP 주소
Example :
any of [string, null]None
querystate
optional
Private NAT IP 상태
Example :
any of [enum (RESERVED, ATTACHED, DELETED), null]None
queryattached_resource_type
optional
Private NAT IP 연결된 자원 타입
Example :
any of [enum (VM, BM), null]None
queryattached_resource_id
optional
Private NAT IP 연결된 자원 ID
Example :
any of [string, null]None
queryattached_resource_name
optional
Private NAT IP 연결된 자원명
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKPrivateNatIpListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-nats/{private_nat_id}/private-nat-ips

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "private_nat_ips": [
        {
            "attached_resource_id": "",
            "attached_resource_name": "",
            "attached_resource_type": "VM",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "id": "",
            "ip_address": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "private_nat_id": "",
            "state": "RESERVED"
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.41.2 - 1.0

get /v1/private-nats/{private_nat_id}/private-nat-ips

Description

Private NAT IP 목록

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_nat_id
required
Private NAT ID
Example :
stringNone
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryip_address
optional
Private NAT IP 주소
Example :
any of [string, null]None
querystate
optional
Private NAT IP 상태
Example :
any of [enum (RESERVED, ATTACHED, DELETED), null]None
queryattached_resource_type
optional
Private NAT IP 연결된 자원 타입
Example :
any of [enum (VM, BM), null]None
queryattached_resource_id
optional
Private NAT IP 연결된 자원 ID
Example :
any of [string, null]None
queryattached_resource_name
optional
Private NAT IP 연결된 자원명
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKPrivateNatIpListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-nats/{private_nat_id}/private-nat-ips

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "private_nat_ips": [
        {
            "attached_resource_id": "",
            "attached_resource_name": "",
            "attached_resource_type": "VM",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "id": "",
            "ip_address": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "private_nat_id": "",
            "state": "RESERVED"
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.42 - List PrivateLink Endpoint

1.42.1 - 1.1

get /v1/privatelink-endpoints

Description

PrivateLink Endpoint 목록 조회

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
PrivateLink Endpoint ID
Example :
any of [string, null]None
queryname
optional
PrivateLink Endpoint 명
Example :
any of [string, null]None
queryvpc_id
optional
VPC ID
Example :
any of [string, null]None
querysubnet_id
optional
Subnet ID
Example :
any of [string, null]None
queryprivatelink_service_id
optional
PrivateLink Service ID
Example :
any of [string, null]None
queryendpoint_ip_address
optional
Endpoint IP 주소
Example :
any of [string, null]None
querystate
optional
PrivateLink Endpoint 상태
Example :
any of [enum (REQUESTING, CREATING, REJECTED, CANCELED, ACTIVE, DISCONNECTED, DELETING, DELETED, ERROR), null]None

Responses

HTTP CodeDescriptionSchema
200OKPrivateLinkEndpointListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/privatelink-endpoints

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "privatelink_endpoints": [
        {
            "account_id": "",
            "approval_type": "MANUAL",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "endpoint_ip_address": "",
            "id": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "privatelink_service_id": "",
            "state": "REQUESTING",
            "subnet_id": "",
            "vpc_id": ""
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.43 - List PrivateLink Service

1.43.1 - 1.1

get /v1/privatelink-services

Description

PrivateLink Service 목록 조회

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
PrivateLink Service ID
Example :
any of [string, null]None
queryname
optional
PrivateLink Service 명
Example :
any of [string, null]None
queryvpc_id
optional
VPC ID
Example :
any of [string, null]None
querysubnet_id
optional
Subnet ID
Example :
any of [string, null]None
queryservice_ip_address
optional
Service IP 주소
Example :
any of [string, null]None
queryconnected_resource_id
optional
연결된 자원 ID
Example :
any of [string, null]None
queryconnected_resource_type
optional
연결된 자원 Type
Example :
any of [string, null]None
queryconnected_resource_name
optional
연결된 자원명
Example :
any of [string, null]None
queryconnected_resource_ip_address
optional
연결된 자원 IP 주소
Example :
any of [string, null]None
querystate
optional
PrivateLink Service 상태
Example :
any of [enum (CREATING, ACTIVE, DELETING, DELETED, ERROR), null]None

Responses

HTTP CodeDescriptionSchema
200OKPrivateLinkServiceListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/privatelink-services

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "privatelink_services": [
        {
            "account_id": "",
            "approval_type": "MANUAL",
            "connected_resource_id": "",
            "connected_resource_ip_address": "",
            "connected_resource_name": "",
            "connected_resource_type": "LB",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "id": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "service_ip_address": "",
            "state": "CREATING",
            "subnet_id": "",
            "vpc_id": ""
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.44 - List PublicIPs

1.44.1 - 1.1

get /v1/publicips

Description

PublicIP 목록을 조회한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
한도
Example : 20
any of [integer, null]None
querymarker
optional
마커
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryip_address
optional
IP 주소
Example :
any of [string, null]None
querystate
optional
PublicIP 상태
Example :
any of [string, null]None
queryattached_resource_type
optional
PublicIP 연결된 자원 타입
Example :
any of [string, null]None
queryattached_resource_id
optional
PublicIP 연결된 자원 ID
Example :
any of [string, null]None
queryattached_resource_name
optional
PublicIP 연결된 자원명
Example :
any of [string, null]None
queryvpc_id
optional
VPC ID
Example :
any of [string, null]None
querytype
optional
PublicIP 타입
Example :
any of [enum (IGW, GGW, SIGW), null]None

Responses

HTTP CodeDescriptionSchema
200OKPublicipListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/publicips

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "publicips": [
        {
            "account_id": "",
            "attached_resource_id": "",
            "attached_resource_name": "",
            "attached_resource_type": "VM",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "",
            "id": "",
            "ip_address": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "state": "RESERVED",
            "type": "IGW"
        }
    ]
}

1.44.2 - 1.0

get /v1/publicips

Description

PublicIP 목록을 조회한다.

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
한도
Example : 20
any of [integer, null]None
querymarker
optional
마커
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryip_address
optional
IP 주소
Example :
any of [string, null]None
querystate
optional
PublicIP 상태
Example :
any of [string, null]None
queryattached_resource_type
optional
PublicIP 연결된 자원 타입
Example :
any of [string, null]None
queryattached_resource_id
optional
PublicIP 연결된 자원 ID
Example :
any of [string, null]None
queryattached_resource_name
optional
PublicIP 연결된 자원명
Example :
any of [string, null]None
queryvpc_id
optional
VPC ID
Example :
any of [string, null]None
querytype
optional
PublicIP 타입
Example :
any of [enum (IGW, GGW, SIGW), null]None

Responses

HTTP CodeDescriptionSchema
200OKPublicipListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/publicips

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "publicips": [
        {
            "account_id": "",
            "attached_resource_id": "",
            "attached_resource_name": "",
            "attached_resource_type": "VM",
[...]
